Signing URL
Authorizations
AuthorizationstringRequired
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
Body
kidstring · nullableOptional
keystring · nullableOptional
datastring · nullableOptional
Responses
200
OK
No content
post/api/Public/GetSigningURL/enc/get
POST /api/Public/GetSigningURL/enc/get HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"kid": "text",
"key": "text",
"data": "text"
}200
OK
No content
Authorizations
AuthorizationstringRequired
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
Body
workflowIdinteger · int32Optional
referenceNostring · nullableOptional
Responses
200
OK
No content
post/api/Public/GetSigningURL/get
POST /api/Public/GetSigningURL/get HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37
{
"workflowId": 1,
"referenceNo": "text"
}200
OK
No content
Authorizations
AuthorizationstringRequired
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
Body
workflowIdinteger · int32Optional
documentIdinteger · int32Optional
Responses
200
OK
No content
post/api/Public/GetSigningURL/get-with-docid
POST /api/Public/GetSigningURL/get-with-docid HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"workflowId": 1,
"documentId": 1
}200
OK
No content
Last updated
